/**
 * @(#)SVGPoly.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/20
 */
package jp.co.iti.fagot.xml;

/* java */

/* W3C DOM */
import	org.w3c.dom.Document;

/* fagot */
import	jp.co.iti.fagot.xml.SVGElement;

/**
 * SVGPoly
 */
abstract public class SVGPoly	extends	SVGElement{
	public SVGPolyPoints myPoints = null;
	
	/**
	 * コンストラクタ
	 * @param	String RootElementName ルートエレメント名("ProjrctUnit"等)
	 * @param	String SystemID        システムID("site.dtd"等)
	 * @return	none
//	 * @exception
//	 * @see
	 * @since	0.00
//	 * @deprecated 
	 * DOMツリーを新規に作成する
	 *   ・docフィールドに新規に作成したDOMツリーのDocumentを設定
	 *   ・rootフィールドに新規に作成したDOMツリーのDocumentの
	 *     ルートエレメントを設定
	 */
	public SVGPoly(Document doc ,String name ,SVGPolyPoints points ,SVGStyle style){
		super(doc ,name);
		
		if(null!=points){
			setAttribute(POINTS	,points.toString());
			myPoints = (SVGPolyPoints)points.clone();
		}
		
		if(null!=style){
			setAttribute(STYLE	,style.toString());
			myStyle = new SVGStyle(style);
		}
	}

}